# HttpUrl Class Reference
[Internet standarts implementations]

Inheritance diagram for HttpUrl:
[legend]

List of all members.

## Public Member Functions

| setHttpHost ($host)
| ensureAbsolute ()
| isValidScheme ()
| isValidPort ()
| normalize ()
| makeComparable ()

## Static Public Member Functions

static | create ()

## Protected Member Functions

| isValidHostName ()

## Protected Attributes

| $knownSubSchemes = array()

## Detailed Description

Definition at line 15 of file HttpUrl.class.php.

## Member Function Documentation

static HttpUrl::create | ( |  | ) | `[static]`

Returns:
  HttpUrl

Reimplemented from Url.

Definition at line 22 of file HttpUrl.class.php.

Referenced by OpenIdConsumer::checkAuthentication(), RouterBaseRule::getPath(), PrimitiveHttpUrl::import(), OpenIdCredentials::loadXRDS(), OpenIdCredentials::parseHTML(), RouterBaseRule::processPath(), and LightMetaProperty::toValue().

HttpUrl::ensureAbsolute | ( |  | ) |

Definition at line 46 of file HttpUrl.class.php.

References Url::fixAuthorityFromPath(), Url::fixMistakenPath(), GenericUri::getAuthority(), GenericUri::setAuthority(), and GenericUri::setPath().

Referenced by makeComparable().

Here is the call graph for this function:

HttpUrl::isValidHostName | ( |  | ) | `[protected]`

Reimplemented from GenericUri.

Definition at line 98 of file HttpUrl.class.php.

References GenericUri::charPattern().

Here is the call graph for this function:

HttpUrl::isValidPort | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 83 of file HttpUrl.class.php.

HttpUrl::isValidScheme | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 69 of file HttpUrl.class.php.

HttpUrl::makeComparable | ( |  | ) |

Definition at line 137 of file HttpUrl.class.php.

References ensureAbsolute().

Referenced by OpenIdCredentials::__construct().

Here is the call graph for this function:

HttpUrl::normalize | ( |  | ) |

See also:
  http://tools.ietf.org/html/rfc3986#section-6

Reimplemented from Url.

Definition at line 118 of file HttpUrl.class.php.

References GenericUri::$port, GenericUri::$scheme, GenericUri::getPath(), GenericUri::getPort(), GenericUri::getScheme(), GenericUri::setPath(), and GenericUri::setPort().

Here is the call graph for this function:

HttpUrl::setHttpHost | ( | $ | host | ) |

Returns:
  HttpUrl

See also:
  rfc2616, sec. 14.23.

Hint: example.com:443

Definition at line 34 of file HttpUrl.class.php.

References GenericUri::$host, GenericUri::setHost(), and GenericUri::setPort().

Here is the call graph for this function:

## Member Data Documentation

HttpUrl::$knownSubSchemes = array()`[protected]`

Reimplemented from Url.

Definition at line 17 of file HttpUrl.class.php.

The documentation for this class was generated from the following file:

- main/Net/HttpUrl.class.php